Package com.io7m.coffeepick.runtime.format.xml

# Class FormatXML1RuntimeChildTags

java.lang.Object
com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildTags

All Implemented Interfaces:
  `FormatXML1RuntimeChildType`, `FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType`

    public final class FormatXML1RuntimeChildTags
    extends java.lang.Object
    implements FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType

The tags element.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `FormatXML1RuntimeChildTags.Builder` | Builds instances of type `FormatXML1RuntimeChildTags`.

  ## Nested classes/interfaces inherited from interface com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildType

  `FormatXML1RuntimeChildType.FormatXML1RuntimeChildBuildType, FormatXML1RuntimeChildType.FormatXML1RuntimeChildHashType, FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType, FormatXML1RuntimeChildType.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FormatXML1RuntimeChildTags.Builder` | `builder()` | Creates a builder for `FormatXML1RuntimeChildTags`.
  `static FormatXML1RuntimeChildTags` | `copyOf​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType instance)` | Creates an immutable copy of a `FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `FormatXML1RuntimeChildTags` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `tags`.
  `static FormatXML1RuntimeChildTags` | `of​(java.lang.Iterable<java.lang.String> tags)` | Construct a new immutable `FormatXML1RuntimeChildTags` instance.
  `static FormatXML1RuntimeChildTags` | `of​(java.util.Set<java.lang.String> tags)` | Construct a new immutable `FormatXML1RuntimeChildTags` instance.
  `java.util.Set<java.lang.String>` | `tags()` |
  `java.lang.String` | `toString()` | Prints the immutable value `FormatXML1RuntimeChildTags` with attribute values.
  `FormatXML1RuntimeChildTags` | `withTags​(java.lang.Iterable<java.lang.String> elements)` | Copy the current immutable object with elements that replace the content of `tags`.
  `FormatXML1RuntimeChildTags` | `withTags​(java.lang.String... elements)` | Copy the current immutable object with elements that replace the content of `tags`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.coffeepick.runtime.format.xml.FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType

  `kind`

- ## Method Details

  - ### tags

    public java.util.Set<java.lang.String> tags()
    Specified by:
      `tags` in interface `FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType`
    Returns:
      The set of tags

  - ### withTags

    public final FormatXML1RuntimeChildTags withTags​(java.lang.String... elements)
    Copy the current immutable object with elements that replace the content of `tags`.
    Parameters:
      `elements` - The elements to set
    Returns:
      A modified copy of `this` object

  - ### withTags

    public final FormatXML1RuntimeChildTags withTags​(java.lang.Iterable<java.lang.String> elements)
    Copy the current immutable object with elements that replace the content of `tags`. A shallow reference equality check is used to prevent copying of the same value by returning `this`.
    Parameters:
      `elements` - An iterable of tags elements to set
    Returns:
      A modified copy of `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `FormatXML1RuntimeChildTags` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `tags`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `FormatXML1RuntimeChildTags` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static FormatXML1RuntimeChildTags of​(java.util.Set<java.lang.String> tags)
    Construct a new immutable `FormatXML1RuntimeChildTags` instance.
    Parameters:
      `tags` - The value for the `tags` attribute
    Returns:
      An immutable FormatXML1RuntimeChildTags instance

  - ### of

    public static FormatXML1RuntimeChildTags of​(java.lang.Iterable<java.lang.String> tags)
    Construct a new immutable `FormatXML1RuntimeChildTags` instance.
    Parameters:
      `tags` - The value for the `tags` attribute
    Returns:
      An immutable FormatXML1RuntimeChildTags instance

  - ### copyOf

    public static FormatXML1RuntimeChildTags copyOf​(FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType instance)
    Creates an immutable copy of a `FormatXML1RuntimeChildType.FormatXML1RuntimeChildTagsType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable FormatXML1RuntimeChildTags instance

  - ### builder

    public static FormatXML1RuntimeChildTags.Builder builder()
    Creates a builder for `FormatXML1RuntimeChildTags`.

         FormatXML1RuntimeChildTags.builder()
            .addTags|addAllTags(String) // tags elements
            .build();

    Returns:
      A new FormatXML1RuntimeChildTags builder